package patrones.aggregateenformer.variablesfinal;

public class Computer {
	//Constituting Object
	private final CPU cpu;
	private String name;

	//Constructor
	public Computer(String n) {
		name = n;
		//Si pone en comentario esta linea, sale error de compilación
		cpu = new CPU("Intel");
	}

	public boolean start() {
		System.out.println("CPU activated");
		return true;
	}

	public boolean executeTask() {
		System.out.println("CPU is Executing the Task");
		return true;
	}

	public boolean stop() {
		System.out.println("CPU is stopped");
		return true;
	}

}
